#
# spec file for package libportaudiocpp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Shared_library_packaging_policy

Name:           libportaudiocpp
Version:        V19
Release:        20140130.3
Summary:        Portable Audio library
License:        MIT
Group:          System/Libraries
Url:            http://www.portaudio.com/
Source0:        http://www.portaudio.com/archives/pa_stable_v19_20111121.tgz
BuildRequires:  gcc
BuildRequires:	make
BuildRequires:	automake
BuildRequires:	alsa-devel
BuildRequires:	autoconf
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
%description
PortAudio is a portable audio interface.
this package also contains the cpp binding library      



%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains header files for
developing applications that use %{name}.

%prep
%setup -q -n portaudio

%build
%configure --enable-cxx=yes
make 

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc
%{_libdir}/libportaudio.so.*
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libportaudio.a
%{_libdir}/libportaudiocpp.a
%{_libdir}/pkgconfig/portaudio-2.0.pc
%{_libdir}/pkgconfig/portaudiocpp.pc

%changelog
* Sun Feb  2 2014 musicsuse@gmx.com
- forced to add older version due to openBuildService complaining
* Sat Feb  1 2014 musicsuse@gmx.com
- updated libportaudio from release 20111121 to release 20140130
